SmakeSmake API Docs
EndpointsCustomers

Show a customer

GET
/customers/{id}
AuthorizationbearerAuth

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token — how to obtain one is described under Setup → Authentication.

In: header

Path Parameters

id*integer

Header Parameters

Accept*"application/json"

The API only responds with JSON — this header is mandatory on every request (see Setup → Headers).

Default"application/json"

Value in

  • "application/json"

Response Body

application/json

application/json

Request example
curl -X GET "https://example.com/customers/0" \  -H "Accept: application/json"
{  "data": {    "id": 0,    "email": "[email protected]",    "first_name": "string",    "last_name": "string",    "external_identifier": "string",    "created_at": "2019-08-24T14:15:22Z"  }}